## org.apache.poi.xslf.model.geom
Class Context

    java.lang.Object
      org.apache.poi.xslf.model.geom.Context

    public class Context

extends java.lang.Object

Date: 10/24/11

Author:
  Yegor Kozlov

Constructor Summary
`Context(CustomGeometry geom, java.awt.geom.Rectangle2D anchor, IAdjustableShape props)`

Method Summary
`double` `evaluate(Formula fmla)`
`Guide` `getAdjustValue(java.lang.String name)`
`java.awt.geom.Rectangle2D` `getShapeAnchor()`
`double` `getValue(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Context

    public Context(CustomGeometry geom,
                   java.awt.geom.Rectangle2D anchor,
                   IAdjustableShape props)

Method Detail

### getShapeAnchor

    public java.awt.geom.Rectangle2D getShapeAnchor()

### getAdjustValue

    public Guide getAdjustValue(java.lang.String name)

### getValue

    public double getValue(java.lang.String key)

### evaluate

    public double evaluate(Formula fmla)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.